Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_SupplierControl Class Reference

SupplierControl. More...

`#include <EC_SupplierControl.h>`

Inheritance diagram for TAO_EC_SupplierControl:

[legend]
List of all members.

## Public Methods
| TAO_EC_SupplierControl (void)
| Constructor. It does not assume ownership of the <event_channel> parameter. More...
virtual | ~TAO_EC_SupplierControl (void)
| destructor... More...
virtual int | activate (void)
| Activate any internal threads or timers used to poll the state of the suppliers. More...
virtual int | shutdown (void)
virtual void | supplier_not_exist (TAO_EC_ProxyPushConsumer *proxy ACE_ENV_ARG_DECL_NOT_USED)
| Invoked by helper classes when they detect that a supplier does not exists (i.e. More...

## Detailed Description

SupplierControl.

Defines the interface for the supplier control strategy. This strategy handles misbehaving or failing suppliers.

## Constructor & Destructor Documentation

TAO_EC_SupplierControl::TAO_EC_SupplierControl | ( | void |  | ) |

| Constructor. It does not assume ownership of the <event_channel> parameter.

TAO_EC_SupplierControl::~TAO_EC_SupplierControl | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

int TAO_EC_SupplierControl::activate | ( | void |  | ) | `[virtual]`

| Activate any internal threads or timers used to poll the state of the suppliers. Reimplemented in TAO_EC_Reactive_SupplierControl.

int TAO_EC_SupplierControl::shutdown | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_EC_Reactive_SupplierControl.

virtual void TAO_EC_SupplierControl::supplier_not_exist | ( | TAO_EC_ProxyPushConsumer *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Invoked by helper classes when they detect that a supplier does not exists (i.e. _non_existent() returns true and/or the CORBA::OBJECT_NOT_EXIST exception has been raised). Reimplemented in TAO_EC_Reactive_SupplierControl.

The documentation for this class was generated from the following files:

- EC_SupplierControl.h
- EC_SupplierControl.cpp